com.opensymphony.xwork2.config.entities

## Class ResultTypeConfig.Builder

- java.lang.Object
- - com.opensymphony.xwork2.config.entities.ResultTypeConfig.Builder

- Enclosing class:
    ResultTypeConfig

      public static final class ResultTypeConfig.Builder
      extends Object

  The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResultTypeConfig` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(ResultTypeConfig orig)`
    `Builder(String name, String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultTypeConfig.Builder` | `addParam(String name, String value)`
    `ResultTypeConfig.Builder` | `addParams(Map<String,String> params)`
    `ResultTypeConfig` | `build()`
    `ResultTypeConfig.Builder` | `className(String name)`
    `ResultTypeConfig.Builder` | `defaultResultParam(String defaultResultParam)`
    `ResultTypeConfig.Builder` | `location(Location loc)`
    `ResultTypeConfig.Builder` | `name(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected ResultTypeConfig target

  - ### Constructor Detail

    - #### Builder

          public Builder(String name,
                         String className)

    - #### Builder

          public Builder(ResultTypeConfig orig)

  - ### Method Detail

    - #### name

          public ResultTypeConfig.Builder name(String name)

    - #### className

          public ResultTypeConfig.Builder className(String name)

    - #### addParam

          public ResultTypeConfig.Builder addParam(String name,
                                                   String value)

    - #### addParams

          public ResultTypeConfig.Builder addParams(Map<String,String> params)

    - #### defaultResultParam

          public ResultTypeConfig.Builder defaultResultParam(String defaultResultParam)

    - #### location

          public ResultTypeConfig.Builder location(Location loc)

    - #### build

          public ResultTypeConfig build()

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.